component: SafetyNetTransportDiagnostic
proto_imports:
  - vehicle/sensors/cameras/diagnostics/diagnostic.proto
metric: SafetyNetTransportMetric
namespace: zoox::vehicle::cammux
faults:
  - id: 1
    name: frame_rate_warning
    severity: WARNING
    description: "Frame rate not within expected bounds"
  - id: 2
    name: frames_not_synched_with_lidar
    severity: WARNING
    description: "One or more frames were sent not synched with lidar scan"
